import {default as serverConfig}  from './src/utilities/config';
import { Options } from '@mikro-orm/core';
import { MariaDbDriver } from '@mikro-orm/mariadb';
import { Migrator } from '@mikro-orm/migrations';

const config: Options<MariaDbDriver> = {
  extensions: [Migrator],
  entities: ['./dist/entities/**/*.js'],
  entitiesTs: ['./src/entities/**/*.ts'],
  driver: MariaDbDriver,
  dbName: serverConfig.DB_NAME,
  host: serverConfig.DB_HOST,
  port: serverConfig.DB_PORT,
  user: serverConfig.DB_USER,
  password: serverConfig.DB_PASSWORD,
  debug: serverConfig.ENV !== 'production',
  driverOptions: {
    allowPublicKeyRetrieval: true
  }
};

export default config;